The OS X 10.8.2 update was released on 10/4/12. Some owners of 2012 Mac Minis and 2012 MacBook Pros (that shipped with OS X 10.8.1) discovered that they could not apply this update, receiving the error “OS X Update can’t be installed on this disk. This volume does not meet the requirements for this update”.

On 10/23/12 Apple released a special build of the OS X 10.8.2 update for these Macs, but they pulled it mysteriously on 11/16/12. This means there are a lot of 2012 Mac Minis and 2012 MacBook Pros out there running OS X 10.8.1 that can’t be updated to OS X 10.8.2, almost two months after it was released.

I’m sure this will be resolved when OS X 10.8.3 is released, but it’s confusing in the sort term, and is something you may need to know about when working on these Mac models.